1 Laatst bewerkt door rj.jongeling (21 Dec 2017 21:51:31)

Onderwerp: Foutmelding bij gphoto2 bij scanner MG3650

Mijn nieuwe Canon MG3650 krijg ik maar niet aan het scannen, printen is geen probleem.
Zelf ben ik helaas niet zo ingevoerd in Linux (Mint 18.1) maar ik wel gezien dat alle scanprogramma' s gebruik maken van gphoto2. Bij al deze programma' s krijg ik dezelfde foutmelding wanneer ik het programma in de terminal start:

[gphoto2] init_gphoto2: error: serial:/dev/ttyd1 is not a valid gphoto2 port.

In de lijst van poorten die gphoto2 laat zien komt deze poort inderdaad niet voor maar mijn printer/scanner staat op usb en die staat wel in de lijst van de poorten. Op internet heb ik gezien dat de foutmelding meerdere keren voorkomt (al sinds 2015) maar een oplossing van het probleem ben ik nergens tegengekomen.
Ik zag wel nog een oplossing voor Xsane (https://help.ubuntu.com/community/SANE% … o-detected) maar deze bleek ook niet te werken. Het probleem met gphoto2 bleef.

Voor mijn gevoel heb ik alles geprobeerd dus vandaar dat ik met mijn vraag bij jullie terecht kom.  Kan iemand me verder helpen?

Ruud

Re: Foutmelding bij gphoto2 bij scanner MG3650

Je hebt mazzel. Canon staat er notoir om bekend dat hun apparaten niet werken in Linux. Ze geven waarschijnlijk de hardware specificaties niet prijs aan de open source community. Ander probleem is dat soms het printergedeelte van een all-in-1 wel ondersteund wordt maar het scannergedeelte dan weer niet. Maar voor de 3650 is een heuse Linux driver gemaakt door Canon voor de scanner, zie hun eigen website: https://www.canon.nl/support/consumer_p … 20(64-bit)

Succes! smile

Als je voor een verdieping niet de diepte in moet, maar de hoogte, waarom heet het dan ....

Re: Foutmelding bij gphoto2 bij scanner MG3650

Bedankt voor je reactie. Het was mij niet bekend dat de Canon apparatuur notoir niet werkt onder Linux. Met de HP had ik inderdaad nooit problemen. Niet onder Ubuntu en niet onder Mint.
De driver ken ik en helaas leverde installatie geen werkende scanner op. Wel met het eigen Canon programma Scangearmp2 maar dat programma krijg ik niet goed  geïnstalleerd omdat bij de installatie bepaalde pakketten niet te vinden zijn. Welke en waar deze gevonden moeten worden zegt het programma niet.
Andere scanprogramma' s maken allemaal gebruik van gphoto2 met de eerder gemelde foutmelding. Ik zie het somber in omdat de foutmelding al sinds 2015 voorkomt en ik nog nergens een oplossing ben tegengekomen.

4 Laatst bewerkt door MeneerJansen (24 Dec 2017 21:38:05)

Re: Foutmelding bij gphoto2 bij scanner MG3650

Ikzelf gebruik altijd Sane om te scannen. In de compatibility list (drivers) zie ik daar de MG3650 niet tussen staan. Ik vrees dan ook dat je vast zit aan de programmatuur die Canon op zijn site heeft gezet voor die scanner. Welke foutmelding krijg je qua benodigde pakketten? Als het heel oude software is dan bestaan de pakketten misschien niet meer (heb ik geloof ik ook ooit eens gehad met mijn Canon printer). Maar je distro (Mint 18) is niet al te oud, dus te nieuw zullen die pakketten ook weer niet zijn denk ik. De software van Canon is geloof ik bedoeld voor Debian (Mint is gebaseerd op Ubuntu en Ubuntu op Debian). Soms heten pakketten in Debian net even anders dan in Ubuntu of Mint.

Kun je een foutmelding plaatsen hier?

Als je voor een verdieping niet de diepte in moet, maar de hoogte, waarom heet het dan ....

Re: Foutmelding bij gphoto2 bij scanner MG3650

Gphoto is *geen* scanbibliotheek. Bij mijn weten gebruiken alle open-source linux scanapplicaties sane als bibliotheek, waaronder xsane en simple-scan. Alternatief is bijvoorbeeld het proprietaire vuescan.

Bij mijn schoonvader heb ik de Canon MG5500, ook een inktjetprinter/scanner, zonder problemen werkend. Scannen werkt zowel met sane (de sane-pixma backend), als met de eigen Scangear software van Canon. Als ik op de driver-pagina van de Canon MG3650 kijk, lijkt ook die gewoon te werken?

Installeer simple-scan eens. Mogelijk is die zelfs standaard geinstalleerd in Mint. Waarschijnlijk werkt die gewoon out-of-the-box (met usb, niet wifi). Je kunt ook het proprietaire Scangear van Canon proberen. Die zou zeker moeten werken volgens bovenstaande driverpagina.

Re: Foutmelding bij gphoto2 bij scanner MG3650

7_feet_up schreef:

Gphoto is *geen* scanbibliotheek. Bij mijn weten gebruiken alle open-source linux scanapplicaties sane als bibliotheek, waaronder xsane en simple-scan. Alternatief is bijvoorbeeld het proprietaire vuescan.

Bij mijn schoonvader heb ik de Canon MG5500, ook een inktjetprinter/scanner, zonder problemen werkend. Scannen werkt zowel met sane (de sane-pixma backend), als met de eigen Scangear software van Canon. Als ik op de driver-pagina van de Canon MG3650 kijk, lijkt ook die gewoon te werken?

Installeer simple-scan eens. Mogelijk is die zelfs standaard geinstalleerd in Mint. Waarschijnlijk werkt die gewoon out-of-the-box (met usb, niet wifi). Je kunt ook het proprietaire Scangear van Canon proberen. Die zou zeker moeten werken volgens bovenstaande driverpagina.

Simple Scan is een frontend voor SANE. Ik ben bang dat als Sane niet werkt bij hem dat Simple-scan ook niet gaat werken. Het installeren v/d proprietary software van Canon lijkt mij wel een goed idee. smile

Als je voor een verdieping niet de diepte in moet, maar de hoogte, waarom heet het dan ....

Re: Foutmelding bij gphoto2 bij scanner MG3650

Iedereen bedankt voor het meedenken. Geen enkel scanprogramma was aan de praat te krijgen, SimpleScan ook niet. Mijn zoon is nu blij met zijn Canon printer die het onder Windows overigens verder goed doet. Zelf kijk ik nog maar eens  even verder naar een andere printer die wel met plug&play onder Mint 18.1 werkt.  Toch een beetje heimwee naar mijn oude HP Deksjet F370. Daar had ik vrijwel nooit problemen mee.